import javax.swing.*;
import javax.swing.border.EtchedBorder;
import java.awt.*;

public class ChatRoomGUI extends JFrame {
    private final String WINDOWS_TITLE = "AUT Chat Room";
    private final int WIDTH = 500, HEIGHT = 500;
    private final int X = 100, Y = 100;
    private ChatArea chatBox = new ChatArea();
    private JPanel users = new JPanel();
    private ParticipantArea user = new ParticipantArea();
    private MessageArea messageArea = new MessageArea();
    private JPanel msgArea = new JPanel();
    public ChatRoomGUI(){
        super();
        this.setTitle(WINDOWS_TITLE);
        this.setSize(WIDTH, HEIGHT);
        this.add(new JScrollPane().add(chatBox) ,BorderLayout.CENTER );
        chatBox.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.RAISED));
        users.setLayout(new GridLayout(2,1));
        users.add(user.getLabel());
        users.add(user.getList());
        this.add(users , BorderLayout.WEST);
        msgArea.setLayout(new GridLayout(1,2));
        msgArea.add(new JScrollPane().add(messageArea));
        msgArea.add(messageArea.getBtn());
        this.add(msgArea , BorderLayout.PAGE_END);
        users.setVisible(true);
        this.setLocation(X, Y);
        this.setVisible(true);
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    }

    public MessageArea getMessageArea() {
        return messageArea;
    }

    public void addNewMessage(String name , String message){
        chatBox.addMessage(name , message);
    }
    public void addNewUser(String name){
        user.addUser(name);
    }
}
